Вопрос Могу ли я установить обычные php и php-cli на одном компьютере?


Я хочу установить php5 на моей машине, а также php5-cli, Я хочу сначала установить обычную php5 пакет, а затем php5-cli,

Вероятно, будут какие-либо конфликты, если я это сделаю:

sudo apt-get install php5

а затем:

sudo apt-get install php5-cli

1
2018-01-04 13:54


происхождения




ответы:


Нет, проблем не должно быть вообще. Если есть, это неожиданные ошибки. Фактически вы можете установить оба сразу:

sudo apt-get install php5 php5-cli

В целом, поддерживающие Debian (и ниже по течению, поддерживающие Ubuntu) работают, чтобы пакеты работали хорошо друг с другом. Если они этого не делают, они обозначаются как находящиеся в конфликте друг с другом, и apt-get не позволит вам установить оба.


4
2018-01-04 14:58





Если вы планируете использовать php 5.4 и интерактивные cli (php -a), не забудьте добавить php5-readline пакет.


0
2018-04-24 22:42